QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QXmppMucOwnerIq Class Reference

The QXmppMucOwnerIq class represents a chat room configuration IQ as defined by XEP-0045: Multi-User Chat. More...

`#include <QXmppMucIq.h>`

Inheritance diagram for QXmppMucOwnerIq:

List of all members.

## Public Member Functions
QXmppDataForm | form () const
| Returns the IQ's data form.
void | setForm (const QXmppDataForm &form)

## Detailed Description

The QXmppMucOwnerIq class represents a chat room configuration IQ as defined by XEP-0045: Multi-User Chat.

It is used to get or modify room configuration options.

See also:
  QXmppDataForm

## Member Function Documentation

void QXmppMucOwnerIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the IQ's data form.

Parameters:

  form |

The documentation for this class was generated from the following files:

- QXmppMucIq.h
- QXmppMucIq.cpp

All Classes Functions Enumerations Enumerator Properties